#ifndef COMMON_H
#define COMMON_H

#include "stm32f10x.h" 

// 定义系统状态的枚举类型
typedef enum {
    STATE_IDLE,                  // 系统处于空闲状态
    STATE_MOTOR_RUNNING,         // 电机正在运行
    STATE_EMERGENCY_STOP,        // 紧急停止状态
    STATE_BACKUP_RADAR_ACTIVE,   // 备用雷达激活状态
	  STATE_PARKING_SENSOR_ACTIVE, //倒车雷达激活状态
    STATE_DISTANCE_SWITCH_ACTIVE,// 距离开关激活状态
    STATE_PHOTOELECTRIC_SWITCH_ACTIVE // 光电开关激活状态
} SystemState;


// 状态处理函数
void StateMachineHandler(SystemState newState);

void Delay(uint32_t time, char unit);


void Total_GPIO_Init(void);

void Total_EXTI_Init(void);

//温度传感器时序
void TIM7_Init(void) ;

void delay_us(uint16_t us);



#endif // COMMON
